IPSW-DOWNLOAD-OTA(1)

NAME
ipsw-download-ota - Download OTAs

SYNOPSIS
ipsw download ota [options] [flags]

DESCRIPTION
Download OTAs

OPTIONS
--beta[=false]
    Download Beta OTAs

--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

-y, --confirm[=false]
    do not prompt user for confirmation

--delta[=false]
    Download Delta OTAs

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--driver-kit[=false]
    Extract DriverKit dyld_shared_cache(s) from remote OTA zip

--dyld[=false]
    Extract dyld_shared_cache(s) from remote OTA zip

-a, --dyld-arch=[]
    dyld_shared_cache architecture(s) to remote extract

-f, --flat[=false]
    Do NOT perserve directory structure when downloading with --pattern

-h, --help[=false]
    help for ota

--info[=false]
    Show all the latest OTAs available

--insecure[=false]
    do not verify ssl certs

-j, --json[=false]
    Dump URLs as JSON only

-k, --kernel[=false]
    Extract kernelcache from remote OTA zip

--latest[=false]
    Download latest OTAs

-m, --model=""
    iOS Model (i.e. D321AP)

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

--platform=""
    Platform to download (ios, watchos, tvos, audioos || accessory, macos, recovery)

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--rsr[=false]
    Download Rapid Security Response OTAs

--show-latest-build[=false]
    Show latest iOS build

--show-latest-version[=false]
    Show latest iOS version

--sim[=false]
    Download Simulator OTAs

--skip-all[=false]
    always skip resumable IPSWs

-u, --urls[=false]
    Dump URLs only

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download the iOS 14.8.1 OTA for the iPhone10,1
    ❯ ipsw download ota --platform ios --version 14.8.1 --device iPhone10,1
    # Get all the latest BETA iOS OTAs URLs as JSON
    ❯ ipsw download ota --platform ios --beta --urls --json
    # Download latest tvOS OTA and extract kernelcache
    ❯ ipsw download ota --platform tvos --latest --kernel
    # Download Xcode Simulator Runtime OTAs
    ❯ ipsw download ota --platform ios --sim --build "22F77"

SEE ALSO
ipsw-download(1)

HISTORY
10-Jul-2025 Auto generated by spf13/cobra